package net.shadowfacts.phycon.api;

import net.shadowfacts.phycon.api.frame.EthernetFrame;
import net.shadowfacts.phycon.api.util.MACAddress;
import org.jetbrains.annotations.NotNull;

/**
 * @author shadowfacts
 */
public interface Interface {

	@NotNull
	MACAddress getMACAddress();

	void receive(@NotNull EthernetFrame frame);

	void send(@NotNull EthernetFrame frame);

}
