package net.shadowfacts.cacao.util

import org.junit.jupiter.api.Assertions.assertEquals
import org.junit.jupiter.api.Test

/**
 * @author shadowfacts
 */
class EnumHelperTests {

	enum class MyEnum {
		ONE, TWO
	}

	@Test
	fun testNext() {
		assertEquals(MyEnum.TWO, EnumHelper.next(MyEnum.ONE))
		assertEquals(MyEnum.ONE, EnumHelper.next(MyEnum.TWO))
	}

	@Test
	fun testPrev() {
		assertEquals(MyEnum.ONE, EnumHelper.previous(MyEnum.TWO))
		assertEquals(MyEnum.TWO, EnumHelper.previous(MyEnum.ONE))
	}

}