package net.shadowfacts.phycon.block.terminal

import net.minecraft.entity.player.PlayerInventory
import net.minecraft.network.PacketByteBuf
import net.shadowfacts.phycon.init.PhyBlocks
import net.shadowfacts.phycon.init.PhyScreens

/**
 * @author shadowfacts
 */
class TerminalScreenHandler(
	syncId: Int,
	playerInv: PlayerInventory,
	terminal: TerminalBlockEntity,
): AbstractTerminalScreenHandler<TerminalBlockEntity>(PhyScreens.TERMINAL, syncId, playerInv, terminal) {

	constructor(syncId: Int, playerInv: PlayerInventory, buf: PacketByteBuf):
			this(
				syncId,
				playerInv,
				PhyBlocks.TERMINAL.getBlockEntity(playerInv.player.world, buf.readBlockPos())!!
			)

}
